package com.kilometer0.SWFAddressSignalsRobotLegs.controller
{
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ApplicationModel;
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ViewStateModel;
	import com.kilometer0.swfaddress.SWFAddress;
	
	import org.robotlegs.mvcs.SignalCommand;

	public class ApplicationStateChangedCommand extends SignalCommand
	{
		[Inject]
		public var viewState:ViewStateModel;
		
		[Inject]
		public var appModel:ApplicationModel;
		
		[Inject]
		public var swfAddress:SWFAddress;
		
		override public function execute():void
		{
			trace("ApplicationStateChangedCommand: execute");
			trace(swfAddress.getValue());
			
			appModel.option1 = swfAddress.getParameter("op1") as String;
			appModel.option2 = swfAddress.getParameter("op2") as String;
					
			viewState.viewName = swfAddress.getPath().substr(1);
			
		}
		
	}
}