package com.kilometer0.SWFAddressSignalsRobotLegs.controller
{
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ApplicationModel;
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ViewStateModel;
	import com.kilometer0.swfaddress.SWFAddress;
	
	import org.robotlegs.mvcs.SignalCommand;

	public class ChangeApplicationStateCommand extends SignalCommand
	{	
		[Inject]
		public var appModel:ApplicationModel;
		
		[Inject]
		public var viewState:ViewStateModel;
		
		[Inject]
		public var swfAddress:SWFAddress;
		
		override public function execute():void
		{
			trace("ChangeApplicationStateCommand: execute");
			var url:String = "/"+viewState.viewName+"?";
			if(appModel.option1 != null)
				url+="op1="+appModel.option1;
			if(appModel.option2 != null)
				url+="&op2="+appModel.option2;
					
			swfAddress.setValue(url);
				
		}
		
	}
}