package com.kilometer0.SWFAddressSignalsRobotLegs.view.mediators
{
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ApplicationModel;
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ViewStateModel;
	import com.kilometer0.SWFAddressSignalsRobotLegs.signals.ModifyApplicationState;
	import com.kilometer0.SWFAddressSignalsRobotLegs.view.FirstView;
	
	import flash.events.MouseEvent;
	
	import org.osflash.signals.natives.NativeSignal;
	import org.robotlegs.mvcs.Mediator;

	public class FirstViewMediator extends Mediator
	{
		[Inject]
		public var view:FirstView;
				
		[Inject]
		public var appModel:ApplicationModel;
		
		[Inject]
		public var viewState:ViewStateModel;
		
		[Inject]
		public var modifyApplicationState:ModifyApplicationState;
		
		public function FirstViewMediator()
		{
			super();
			
		}
		
		override public function onRegister():void
		{
			view.main();
			
			var ns:NativeSignal = new NativeSignal(view.bluePillButton,MouseEvent.CLICK,MouseEvent);
			ns.add(selectBluePill);
			
			ns = new NativeSignal(view.redPillButton,MouseEvent.CLICK,MouseEvent);
			ns.add(selectRedPill);
		}
		
		protected function selectBluePill(e:MouseEvent):void
		{
			appModel.option1 = "blue";
			viewState.viewName = "view2";
			modifyApplicationState.dispatch();
		}
		
		protected function selectRedPill(e:MouseEvent):void
		{
			appModel.option1 = "red";
			viewState.viewName = "view2";
			modifyApplicationState.dispatch();
		}	
	}
}