package com.kilometer0.SWFAddressSignalsRobotLegs.view
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	import org.osflash.signals.Signal;

	public class FirstView extends Sprite implements IView
	{
		public var bluePillButton:Sprite;
		public var redPillButton:Sprite;
		
		protected var textTF:TextField;
				
		public function FirstView()
		{
			super();
		}
		
		public function main():void
		{
			trace("FirstView main");
			cleanup();
			textTF = new TextField();
			textTF.defaultTextFormat = new TextFormat("Arial",13,0x0);
			textTF.width = 400;
			textTF.multiline = true;
			textTF.wordWrap = true;
			textTF.autoSize = TextFieldAutoSize.LEFT;
			textTF.htmlText = "This is the first and default view of the application.<br/>Choose an option below.";
			addChild(textTF);
			
			bluePillButton = buildButton("Blue Pill",0x0000FF);
			addChild(bluePillButton);
			bluePillButton.y = 60;
			
			redPillButton = buildButton("Red Pill",0xFF0000 );
			addChild(redPillButton);
			redPillButton.y = 60;
			redPillButton.x = 110;
		}
		
		public function show(callback:Signal):void
		{	
			trace("FirstView show");
			if(callback)
				callback.dispatch();
		}
		
		public function hide(callback:Signal):void
		{	
			trace("FirstView hide");
			if(callback)
				callback.dispatch();
		}
		
		protected function buildButton(label:String, color:Number):Sprite
		{
			var s:Sprite = new Sprite();
			
			s.graphics.beginFill(color);
			s.graphics.drawRoundRect(0,0,100,35,3,3);
			s.graphics.endFill();
			s.buttonMode = true;
			s.mouseChildren = false;
			var tf:TextField = new TextField();
			tf.defaultTextFormat = new TextFormat("Arial",14,0x0,true);
			tf.text = label;
			tf.x = 5;
			tf.y = 5;
			s.addChild(tf);
			
			return s;
		}
		
		protected function cleanup():void
		{
			while(this.numChildren > 0)
				this.removeChildAt(0);
		}
		
	}
}