package com.kilometer0.SWFAddressSignalsRobotLegs.view
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	import org.osflash.signals.Signal;

	public class SecondView extends Sprite implements IView
	{
		public var yellowPillButton:Sprite;
		public var purplePillButton:Sprite;
		
		public var option1:String;
		
		protected var textTF:TextField;
				
		public function SecondView()
		{
			super();
		}
		
		public function main():void
		{
			trace("SecondView main");
			cleanup();
			textTF = new TextField();
			textTF.defaultTextFormat = new TextFormat("Arial",13,0x0);
			textTF.width = 450;
			textTF.multiline = true;
			textTF.autoSize = TextFieldAutoSize.LEFT;
			textTF.wordWrap = true;
			textTF.htmlText = "This is the second view of the application.<br/>You've already selected: "+option1+".<br/>Choose an option below.";
			addChild(textTF);
			
			yellowPillButton = buildButton("Yellow Pill",0xFFFF00);
			addChild(yellowPillButton);
			yellowPillButton.y = 80;
			
			purplePillButton = buildButton("Purple Pill",0xFF00FF );
			addChild(purplePillButton);
			purplePillButton.y = 80;
			purplePillButton.x = 110;
		}
		
		public function show(callback:Signal):void
		{	
			trace("SecondView show");
			if(callback)
				callback.dispatch();
		}
		
		public function hide(callback:Signal):void
		{	
			trace("SecondView hide");
			if(callback)
				callback.dispatch();
		}
		
		protected function buildButton(label:String, color:Number):Sprite
		{
			var s:Sprite = new Sprite();
			
			s.graphics.beginFill(color);
			s.graphics.drawRoundRect(0,0,100,35,3,3);
			s.graphics.endFill();
			s.buttonMode = true;
			s.mouseChildren = false;
			var tf:TextField = new TextField();
			tf.defaultTextFormat = new TextFormat("Arial",14,0x0,true);
			tf.text = label;
			tf.x = 5;
			tf.y = 5;
			s.addChild(tf);
			
			return s;
		}
		
		protected function cleanup():void
		{
			while(this.numChildren > 0)
				this.removeChildAt(0);
		}
		
	}
}