package com.kilometer0.SWFAddressSignalsRobotLegs.view.mediators
{
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ApplicationModel;
	import com.kilometer0.SWFAddressSignalsRobotLegs.model.ViewStateModel;
	import com.kilometer0.SWFAddressSignalsRobotLegs.signals.ModifyApplicationState;
	import com.kilometer0.SWFAddressSignalsRobotLegs.view.SecondView;
	
	import flash.events.MouseEvent;
	
	import org.osflash.signals.natives.NativeSignal;
	import org.robotlegs.mvcs.Mediator;

	public class SecondViewMediator extends Mediator
	{
		[Inject]
		public var view:SecondView;
				
		[Inject]
		public var appModel:ApplicationModel;
		
		[Inject]
		public var viewState:ViewStateModel;
		
		[Inject]
		public var modifyApplicationState:ModifyApplicationState;
		
		public function SecondViewMediator()
		{
			super();
			
		}
		
		override public function onRegister():void
		{
			view.option1 = appModel.option1;
			view.main();
			
			var ns:NativeSignal = new NativeSignal(view.yellowPillButton,MouseEvent.CLICK,MouseEvent);
			ns.add(selectYellowPill);
			
			ns = new NativeSignal(view.purplePillButton,MouseEvent.CLICK,MouseEvent);
			ns.add(selectPurplePill);
		}
		
		protected function selectYellowPill(e:MouseEvent):void
		{
			appModel.option2 = "yellow";
			viewState.viewName = "view3";
			modifyApplicationState.dispatch();
		}
		
		protected function selectPurplePill(e:MouseEvent):void
		{
			appModel.option2 = "purple";
			viewState.viewName = "view3";
			modifyApplicationState.dispatch();
		}	
	}
}